{% extends 'base.html.twig' %}

{% block title %}Ingreso!{% endblock %}

{% block body %}
    {% if error %}
        <div>{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    <form action="{{ path('login') }}" method="post">
        <div class="form-group">
            <label for="username">Email:</label>
            <input type="text" id="username" name="_username" value="{{ last_username }}" class="form-control"/>
        </div>
        <div class="form-group">
            <label for="password">Password:</label>
            <input type="password" id="password" name="_password" class="form-control"/>
        </div>

        {# If you want to control the URL the user is redirected to on success #}
        <input type="hidden" name="_target_path" value="{{ path('index_logged') }}"/>
        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

        <button type="submit" class="btn btn-primary">login</button>
        <br>
        <span class="text-black">Si no tienes cuenta dirigete al<a href="{{ path('app_register') }}"
                                                                   class="btn btn-link text-decoration-underline">Registro</a></span>
        |
        <span class="text-capitalize text-black">Olvidaste tu contraseña ? <a
                    href="{{ path('app_forgot_password_request') }}"
                    class="btn btn-warning">Recuperar Contraseña</a></span>
    </form>
{% endblock %}
